/*
 * (C) Copyright 2011- ECMWF.
 *
 * This software is licensed under the terms of the Apache Licence Version 2.0
 * which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
 * In applying this licence, ECMWF does not waive the privileges and immunities
 * granted to it by virtue of its status as an intergovernmental organisation nor
 * does it submit to any jurisdiction.
 */

#ifndef grib_api_ecbuild_config_h
#define grib_api_ecbuild_config_h

/* ecbuild info */

#ifndef ECBUILD_VERSION_STR
#define ECBUILD_VERSION_STR "2.9.0"
#endif
#ifndef ECBUILD_MACROS_DIR
#define ECBUILD_MACROS_DIR  "/build/grib_api/cmake"
#endif

/* config info */

#define GRIB_API_OS_NAME          "Debian"
#define GRIB_API_OS_BITS          64
#define GRIB_API_OS_BITS_STR      "64"
#define GRIB_API_OS_STR           "linux.64"
#define GRIB_API_OS_VERSION       "Debian"
#define GRIB_API_SYS_PROCESSOR    "x86_64"

#ifndef HAVE_BIT_REPRODUCIBLE
   #define GRIB_API_BUILD_TIMESTAMP  ""
#else
   #define GRIB_API_BUILD_TIMESTAMP "NO-TIMESTAMP-FOR-BIT_REPRODUCIBLE-BUILD"
#endif
#define GRIB_API_BUILD_TYPE       "Release"

#define GRIB_API_C_COMPILER_ID      "GNU"
#define GRIB_API_C_COMPILER_VERSION "7.3.0"

#define GRIB_API_CXX_COMPILER_ID      ""
#define GRIB_API_CXX_COMPILER_VERSION ""

#define GRIB_API_C_COMPILER       "/usr/bin/cc"
#define GRIB_API_C_FLAGS          "-g -O2 -fdebug-prefix-map=/build/grib_api=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2  -Wdate-time -D_FORTIFY_SOURCE=2 -pipe -fopenmp -O3 -DNDEBUG"

#define GRIB_API_CXX_COMPILER     ""
#define GRIB_API_CXX_FLAGS        ""

/* Needed for finding per package config files */

#define GRIB_API_INSTALL_DIR       "/usr"
#define GRIB_API_INSTALL_BIN_DIR   "/usr/bin"
#define GRIB_API_INSTALL_LIB_DIR   "/usr/lib"
#define GRIB_API_INSTALL_DATA_DIR  "/usr/share/grib_api"

#define EC_HAVE_FORTRAN

#ifdef EC_HAVE_FORTRAN

#define GRIB_API_Fortran_COMPILER_ID      "GNU"
#define GRIB_API_Fortran_COMPILER_VERSION "8.1.0"

#define GRIB_API_Fortran_COMPILER "/usr/bin/gfortran-8"
#define GRIB_API_Fortran_FLAGS    "-g -O2 -fdebug-prefix-map=/build/grib_api=. -fstack-protector-strong -fopenmp -O3 -funroll-all-loops -finline-functions"

#endif

/* #undef BOOST_UNIT_TEST_FRAMEWORK_HEADER_ONLY */
/* #undef BOOST_UNIT_TEST_FRAMEWORK_LINKED */

#endif /* grib_api_ecbuild_config_h */
